Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class SNode

    java.lang.Object
      SEdit.SElement
          SEdit.SNode

Direct Known Subclasses:
  AbstractAgentNode, Entity, SComponent, SConnect, SimpleNode, WorldEntity

    public abstract class SNode

extends SElement

This class is the model for a node in a structure. It is decoupled from the graphical representation

Version:
  2.0
See Also:
  `SElement`, `SArrow`

Field Summary

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Constructor Summary
`SNode()`

Method Summary
`void` | `activate()`
`protected abstract void` | `addInArrow(SArrow a)`
`protected abstract void` | `addOutArrow(SArrow a)`
`void` | `delete()`
`void` | `deleteInArrow(SArrow a)`
`void` | `deleteOutArrow(SArrow a)`
`abstract java.util.Vector` | `getInArrows()`
`abstract java.util.Vector` | `getOutArrows()`
`void` | `initGraphics(java.util.Hashtable properties)`
`protected abstract boolean` | `isConnectable(SArrow s, boolean asTarget)`
`void` | `reInstall(Structure st)`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, init, inspect, setComment, setDescriptor, setGObject, setID, setLabel, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SNode

    public SNode()

Method Detail

### addOutArrow

    protected abstract void addOutArrow(SArrow a)

### addInArrow

    protected abstract void addInArrow(SArrow a)

### getInArrows

    public abstract java.util.Vector getInArrows()

### getOutArrows

    public abstract java.util.Vector getOutArrows()

### deleteInArrow

    public void deleteInArrow(SArrow a)

### deleteOutArrow

    public void deleteOutArrow(SArrow a)

### isConnectable

    protected abstract boolean isConnectable(SArrow s,
                                             boolean asTarget)

### activate

    public void activate()

### initGraphics

    public void initGraphics(java.util.Hashtable properties)

  Specified by:
    `initGraphics` in class `SElement`

### delete

    public void delete()

  Overrides:
    `delete` in class `SElement`

### reInstall

    public void reInstall(Structure st)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.